{% extends 'partials/shoppingcart_core_base.html.twig' %}

{% block body %}

    <div id="shoppingcart_checkout" class="bg-cover" style="background-image: url('{{ page.media.images[""~page.header.bg~""].url() }}')">
        <div class="container mt-nav">
            <div class="pure-g">
                <div class="pure-u-1 pure-u-md-2-5 bg-cover" style="background-image: url('{{ page.media.images[""~page.header.right~""].url() }}')">

                </div>
                <div class="pure-u-1 pure-u-md-3-5 bg-white-primary">
                    {% include 'partials/shoppingcart_core_cart.html.twig' %}

                    <div class="shoppingcart-container js__checkout__block">
                        <h1>{{ 'PLUGIN_SHOPPINGCART.CHECKOUT_PAGE_TITLE'|t|e }}</h1>
                        {{ page.content|raw }}
                        {% set form = config.plugins.shoppingcart.checkout_form %}
                        {% include 'forms/default/form.html.twig' %}
                    </div>
                </div>
            </div>
        </div>
    </div>

    {% do assets.addJs('plugins://shoppingcart/public/js/shoppingcart.min.js', { 'priority': 103, 'group': 'bottom' }) %}
    {% do assets.addJs('plugins://shoppingcart/js/shoppingcart_checkout.js', { 'priority': 101, 'group': 'bottom' }) %}
    {% do assets.addJs('plugins://shoppingcart/js/shoppingcart_checkout_events.js', { 'priority': 100, 'group': 'bottom' }) %}

    {% do assets.addInlineJs('
        (function() {
            ShoppingCart.currentPageIsCheckout = true;
            ShoppingCart.checkout_form_fields = '~ json_encode(config.plugins.shoppingcart.checkout_form.fields)|raw ~';
        }());
    ', { priority: 102, group:'bottom' }) %}

{% endblock %}

{% block footer %}
    {% include 'partials/footer.html.twig' with {type: "small"} %}
{% endblock %}